Capistrano, Rails, Leopard: Upgrade has broken my capistrano rake.

Hopefully someone here has a better idea of what's going on. For the
longest time now I've been using Capistrano to deploy my project from
the SVN repository, to the live server.... When Leopard came out from
Apple, I upgraded my 2 computers, my iMac I did an upgrade, and my
laptop I did a complete re-install of the OS. My business partner did
the same thing to his laptop that I did to my iMac.

Ever since then I get the following error when I try to deploy from my
machine...

rake aborted!
undefined method `[]' for nil:NilClass

When I run it with --trace I get.

** Invoke remote:cold_deploy (first_time)
** Execute remote:cold_deploy
rake aborted!
undefined method `[]' for nil:NilClass
/Library/Ruby/Gems/1.8/gems/capistrano-2.1.0/lib/capistrano/cli/
execute.rb:25:in `execute!'
/Users/sw0rdfish/Documents/Rails/talentconnection/config/../lib/tasks/
capistrano.rake:15:in `cap'
/Users/sw0rdfish/Documents/Rails/talentconnection/config/../lib/tasks/
capistrano.rake:23

I'd nail it down to the pre-installed software on OS X 10.5, but my
business partner can run the command w/o any problems and he's able to
deploy my application on his Macbook.

So I'm hoping some Capistrano MEnsa can shed some light on what's
going on. I really have very little knowledge of the system, as I
didn't set it up... but I'm picking up a lot as I go.

anyway, thanks for any help in advance.
sw0rdfish